kio Library: KSSLPeerInfo Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLPeerInfo Class Reference

KDE SSL Peer Data KDE SSL Peer Data. More...

`#include <ksslpeerinfo.h>`

Collaboration diagram for KSSLPeerInfo:

[legend]
List of all members.

## Public Member Functions
| ~KSSLPeerInfo ()
KSSLCertificate & | getPeerCertificate ()
bool | certMatchesAddress ()
bool | cnMatchesAddress (QString cn)
void | setPeerHost (QString host=QString::null)
void | reset ()
## Protected Attributes
KSSLCertificate | m_cert
## Friends
class | KSSL

## Detailed Description

KDE SSL Peer Data KDE SSL Peer Data.

This class contains data about the peer of an SSL connection.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL

Definition at line 42 of file ksslpeerinfo.h.

## Constructor & Destructor Documentation

KSSLPeerInfo::~KSSLPeerInfo | ( |  | ) |

| Destroy this instance. Definition at line 52 of file ksslpeerinfo.cc.

## Member Function Documentation

KSSLCertificate & KSSLPeerInfo::getPeerCertificate | ( |  | ) |

| Get a reference to the peer's certificate. Returns: a reference to the peer's certificate See also: KSSLCertificate Definition at line 56 of file ksslpeerinfo.cc.

bool KSSLPeerInfo::certMatchesAddress | ( |  | ) |

| Determine if the peer's certificate matches the address set with setPeerHost(). Note that this is a match in the "https" sense, taking into account, for instance, wildcards. Returns: true if it matches See also: setPeerHost Definition at line 72 of file ksslpeerinfo.cc. References cnMatchesAddress(), KSSLCertificate::getSubject(), QStringList::split(), and KSSLCertificate::subjAltNames().

bool KSSLPeerInfo::cnMatchesAddress | ( | QString | cn | ) |

| Determine if the given "common name" matches the address set with setPeerHost(). Note that this is a match in the "https" sense, taking into account, for instance, wildcards. Returns: true if it matches See also: setPeerHost Definition at line 89 of file ksslpeerinfo.cc. References QString::contains(), endl(), QString::endsWith(), QRegExp::exactMatch(), QString::isEmpty(), kdDebug(), QString::length(), QRegExp::setPattern(), QStringList::split(), and QString::truncate(). Referenced by certMatchesAddress().

void KSSLPeerInfo::setPeerHost | ( | QString | host = `QString::null` | ) |

  | Set the host that we are connected to. This is generally set by KSSL, and should be exactly what the user -thinks- he is connected to. (for instance, the host name in the url) Parameters:
  | host | the hostname
Definition at line 60 of file ksslpeerinfo.cc. References QString::fromLatin1(), QString::lower(), QString::stripWhiteSpace(), and QString::truncate().

void KSSLPeerInfo::reset | ( |  | ) |

| Clear out the host name. Definition at line 156 of file ksslpeerinfo.cc. Referenced by KSSL::initialize().

The documentation for this class was generated from the following files:

- ksslpeerinfo.h
- ksslpeerinfo.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:25 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003